Re-implement listEntities() in EntityPerPageIdPager (and rename to SqlEntityIdPager)
Closed, ResolvedPublic

Description

EntityPerPageTable currently implements the listEntities() method based on wb_entity_per_page. This functionality should be re-implemented based on the page table in EntityPerPageIdPager (which should then be renamed to SqlEntityIdPager).

daniel created this task.Jul 20 2016, 12:32 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptJul 20 2016, 12:32 PM

Change 314164 had a related patch set uploaded (by Hoo man):
Move EntityPerPageTable::listEntities into SqlEntityIdPager

https://gerrit.wikimedia.org/r/314164

hoo claimed this task.Oct 4 2016, 8:45 PM

Change 314164 merged by jenkins-bot:
Move EntityPerPageTable::listEntities into SqlEntityIdPager

https://gerrit.wikimedia.org/r/314164

hoo moved this task from Review to Doing on the Wikidata-Sprint-2016-09-21 board.Oct 6 2016, 1:55 PM
hoo removed a project: Patch-For-Review.

Change 315102 had a related patch set uploaded (by Hoo man):
Re-Implement SqlEntityIdPager without wb_entity_per_page

https://gerrit.wikimedia.org/r/315102

hoo moved this task from Doing to Review on the Wikidata-Sprint-2016-09-21 board.Oct 10 2016, 3:27 PM

Change 315102 merged by jenkins-bot:
Re-Implement SqlEntityIdPager without wb_entity_per_page

https://gerrit.wikimedia.org/r/315102

hoo closed this task as Resolved.Nov 2 2016, 11:52 AM
hoo removed a project: Patch-For-Review.
hoo moved this task from Review to Done on the Wikidata-Sprint-2016-10-12 board.